org.klomp.snark

## Class PeerConnectionIn

- java.lang.Object
- - org.klomp.snark.PeerConnectionIn

All Implemented Interfaces:
  Runnable

     class PeerConnectionIn
    extends Object
    implements Runnable

### Field Summary

Fields
`(package private) long` `lastRcvd`

### Constructor Summary

Constructors
Constructor and Description
`PeerConnectionIn(Peer peer, DataInputStream din)`

### Method Summary

Methods
`(package private) void` `disconnect()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lastRcvd

    long lastRcvd

### Constructor Detail

#### PeerConnectionIn

    public PeerConnectionIn(Peer peer,
                    DataInputStream din)

### Method Detail

#### disconnect

    void disconnect()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`